Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2008, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.beasys.commerce.ebusiness.order
Interface OrderManager

All Superinterfaces
  javax.ejb.EJBObject, Remote

Deprecated

    @Deprecated
    public interface OrderManager

extends javax.ejb.EJBObject

The OrderManagerBean is a session bean that isolates the JSP type calls from dealing directly with Order Entity Beans in a piece-meal fashion and improves performance by keeping the calls on the EJB sides.
Its main purpose is to create an Order and to retrieve OrderValue's using a variety of criteria, customerPK, a date range, a SKU, a Status.
The returned objects on those finder methods may be either straight collection with all the orderValue objects filled, or a more sophisticated ScrollableModel which caches the PK and a few orderValues only.
Finally, the OrderManagerBean deals with getting and setting an Order's status, and helps the JSP presentation by providing the only possible statuses an Order can move to.
stereotype SessionBean
homeInterface com.beasys.commerce.ebusiness.order.OrderManagerHome
remoteInterface com.beasys.commerce.ebusiness.order.OrderManager

See Also
  `OrderValue`, `StateMachine`, `ScrollableModel`

Method Summary
`javax.ejb.Handle` | `createOrder(OrderPk orderPK, OrderValue orderValue, Quote adjustments)` Deprecated Creates an order using a previously generated primary key and an order value via a Handle.
`Collection` | `findByCustomer(CustomerPk customerPK)` Deprecated Finds the overValues associated with a customer and returns a collection
`ScrollableModel` | `findByCustomer(CustomerPk customerPK, int pageSize)` Deprecated Finds the overValues associated with a customer and returns a scrollable model
`Collection` | `findByDates(Date startDate, Date endDate)` Deprecated Finds the overValues associated with a date range and returns a collection
`ScrollableModel` | `findByDates(Date startDate, Date endDate, int pageSize)` Deprecated Finds the overValues associated with a date range and returns a scrollable model
`OrderValue` | `findByPK(OrderPk orderPK)` Deprecated Finds the order value associated with a particular primary key, a basic finder method.
`Collection` | `findBySKU(String SKU)` Deprecated Finds the overValues associated with a SKU and returns a collection
`ScrollableModel` | `findBySKU(String sku, int pageSize)` Deprecated Finds the overValues associated with a SKU and returns a scrollable model
`Collection` | `findByStatus(String status)` Deprecated Finds the overValues associated with a status and returns a collection
`ScrollableModel` | `findByStatus(String status, int pageSize)` Deprecated Finds the overValues associated with a status and returns a scrollable model
`String` | `getOrderStatus(OrderPk orderPK)` Deprecated Gets the status of an order based on its PK
`String[]` | `getValidNewStatuses(OrderPk orderPK)` Deprecated Gets all the valid status an order can move to.
`void` | `queryOrderAdjusments(OrderPk orderPK, OrderValue orderValue)` Deprecated this call fills an orderValue with the adjustments that are associated with it.
`void` | `setOrderStatus(OrderPk orderPK, String status)` Deprecated Sets an order status
`void` | `updateOrderDiscounts(OrderPk orderPk, OrderValue orderValue, Quote adjustments)` Deprecated updates the discounts associated with an order

Methods inherited from interface javax.ejb.EJBObject
`getEJBHome, getHandle, getPrimaryKey, isIdentical, remove`

Method Detail

### createOrder

    javax.ejb.Handle createOrder(OrderPk orderPK,
                                 OrderValue orderValue,
                                 Quote adjustments)
                                 throws RemoteException

  Deprecated
  Creates an order using a previously generated primary key and an order value via a Handle.

  Parameters
    `orderPK` -
    `orderValue,` - a value object from which to create an order entity
    `adjustments,` - the audit trail to persist with the order.
  Returns
    the handle over the order entity bean.
  Throws
    `RemoteException`

### findByPK

    OrderValue findByPK(OrderPk orderPK)
                        throws RemoteException

  Deprecated
  Finds the order value associated with a particular primary key, a basic finder method.

  Parameters
    `orderPK,` - the primary key for an order entity bean.
  Returns
    the corresponding order value object.
  Throws
    `RemoteException`

### findByCustomer

    ScrollableModel findByCustomer(CustomerPk customerPK,
                                   int pageSize)
                                   throws RemoteException

  Deprecated
  Finds the overValues associated with a customer and returns a scrollable model

  Parameters
    `CustomerPk` -
    `pageSize,` - the size of a page of cached order values
  Returns
    the ScrollableModel that manages the corresponding Order values
  Throws
    `RemoteException`

### findByCustomer

    Collection findByCustomer(CustomerPk customerPK)
                              throws RemoteException

  Deprecated
  Finds the overValues associated with a customer and returns a collection

  Parameters
    `CustomerPk` -
  Returns
    the Collection that manages the corresponding Order values
  Throws
    `RemoteException`

### findByStatus

    ScrollableModel findByStatus(String status,
                                 int pageSize)
                                 throws RemoteException

  Deprecated
  Finds the overValues associated with a status and returns a scrollable model

  Parameters
    `status,` - e.g. "Authorized"
    `pageSize,` - the size of a page of cached order values
  Returns
    the ScrollableModel that manages the corresponding Order values
  Throws
    `RemoteException`

### findByStatus

    Collection findByStatus(String status)
                            throws RemoteException

  Deprecated
  Finds the overValues associated with a status and returns a collection

  Parameters
    `status,` - e.g. "Authorized"
  Returns
    the collection that manages the corresponding Order values
  Throws
    `RemoteException`

### findBySKU

    Collection findBySKU(String SKU)
                         throws RemoteException

  Deprecated
  Finds the overValues associated with a SKU and returns a collection

  Parameters
    `sku,` - e.g. "C94E97"
  Returns
    the collection that manages the corresponding Order values
  Throws
    `RemoteException`

### findBySKU

    ScrollableModel findBySKU(String sku,
                              int pageSize)
                              throws RemoteException

  Deprecated
  Finds the overValues associated with a SKU and returns a scrollable model

  Parameters
    `sku,` - e.g. "C94E97"
    `pageSize,` - the size of a page of cached order values
  Returns
    the ScrollableModel that manages the corresponding Order values
  Throws
    `RemoteException`

### findByDates

    ScrollableModel findByDates(Date startDate,
                                Date endDate,
                                int pageSize)
                                throws RemoteException

  Deprecated
  Finds the overValues associated with a date range and returns a scrollable model

  Parameters
    `startDate` - of the date range
    `endDate` - of the date range
    `pageSize,` - the size of a page of cached order values
  Returns
    the ScrollableModel that manages the corresponding Order values
  Throws
    `RemoteException`

### findByDates

    Collection findByDates(Date startDate,
                           Date endDate)
                           throws RemoteException

  Deprecated
  Finds the overValues associated with a date range and returns a collection

  Parameters
    `startDate` - of the date range
    `endDate` - of the date range
  Returns
    the collection that manages the corresponding Order values
  Throws
    `RemoteException`

### getOrderStatus

    String getOrderStatus(OrderPk orderPK)
                          throws RemoteException

  Deprecated
  Gets the status of an order based on its PK

  Parameters
    `orderPK` -
  Returns
    the status as a String
  Throws
    `RemoteException`

### setOrderStatus

    void setOrderStatus(OrderPk orderPK,
                        String status)
                        throws RemoteException

  Deprecated
  Sets an order status

  Parameters
    `orderPK` -
    `status` -
  Throws
    `RemoteException`

### getValidNewStatuses

    String[] getValidNewStatuses(OrderPk orderPK)
                                 throws RemoteException

  Deprecated
  Gets all the valid status an order can move to.

  Parameters
    `orderPK` -
  Returns
    a String array, one string per valid new status
  Throws
    `RemoteException`

### queryOrderAdjusments

    void queryOrderAdjusments(OrderPk orderPK,
                              OrderValue orderValue)
                              throws RemoteException

  Deprecated
  this call fills an orderValue with the adjustments that are associated with it.

  Parameters
    `orderPk,` - the order primary key.
    `orderValue,` - the order value to fill with adjustments
  Throws
    `RemoteException`

### updateOrderDiscounts

    void updateOrderDiscounts(OrderPk orderPk,
                              OrderValue orderValue,
                              Quote adjustments)
                              throws RemoteException

  Deprecated
  updates the discounts associated with an order

  Parameters
    `orderPk` - the order primary key.
    `orderValue` - the order value which contains the creation date and the orderline
    `adjustments` - a Quote object containing the adjustments
  Throws
    `RemoteException`
  Since:
    WLCS 3.5 sp3, added as a customer support case

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2008, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.